log4shib::FormatModifierComponent(3)

NAME
log4shib::FormatModifierComponent

SYNOPSIS

Inherits log4shib::PatternLayout::PatternComponent.

  Public Member Functions
FormatModifierComponent (PatternLayout::PatternComponent *component, size_t minWidth, size_t maxWidth, bool alignLeft)
virtual ~FormatModifierComponent ()
virtual void append (std::ostringstream &out, const LoggingEvent &event)

Constructor & Destructor Documentation

  log4shib::FormatModifierComponent::FormatModifierComponent (PatternLayout::PatternComponent * component, size_t minWidth, size_t maxWidth, bool alignLeft) [inline]

  virtual log4shib::FormatModifierComponent::~FormatModifierComponent () [inline], [virtual]

Member Function Documentation

  virtual void log4shib::FormatModifierComponent::append (std::ostringstream & out, const LoggingEvent & event) [inline], [virtual]

Implements log4shib::PatternLayout::PatternComponent.

Author

Generated automatically by Doxygen for log4shib from the source code.